Bug 61283 - OpenLDAP dies on large objectclass definition
OpenLDAP dies on large objectclass definition
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-15 16:38 EST by Darren Gamble
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bump up the maximum number of configuration tokens allowed per file (559 bytes, patch)
2002-04-21 16:04 EDT, John Morrissey
no flags Details | Diff

  None (edit)
Description Darren Gamble 2002-03-15 16:38:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
After configuring slapd to use a schema with a large objectclass definition 
(about 300 attributes), the slapd service fails to load, logging "Too many 
tokens (max 500)".

Version-Release number of selected component (if applicable):
openldap-servers-2.0.21-1

How reproducible:
Always

Steps to Reproduce:
1. Make an objectclass definition with ~300 possible attributes.
2. Try to start slapd.
	

Actual Results:  The service logs "Too many tokens (max 500)" and dies.

Expected Results:  The service should have started.

Additional info:

I'm guessing that someone has 500 coded as the size of some static array in the 
program.

Even though there are less than 500 attribures, the "$" tokens used to delimit 
the attributes take this figure above 500.

The schema in question is from a third-party application, so it can't easily be 
changed/improved, unfortunately.  Not sure if we can post it, either, although 
this problem can be reproduced without it.
Comment 1 John Morrissey 2002-04-21 16:02:30 EDT
This is hardcoded in OpenLDAP itself; you can bump it up manually by editing the
MAXARGS define in servers/{slapd,slurpd}/config.c (see attached).

This was brought up on openldap-software a few weeks ago, but nobody with commit
access responded. I'm not sure if this is fixed in 2.1-ALPHA or not.
Comment 2 John Morrissey 2002-04-21 16:04:07 EDT
Created attachment 54805 [details]
Bump up the maximum number of configuration tokens allowed per file
Comment 3 Darren Gamble 2002-04-22 10:21:42 EDT
We certainly appreciate the reply, but we already did this last month shortly 
after we received a reply on the mailing list (it was I who brought this up on 
the list then).  The service loads OK now.

However, the code should be changed such that it can dynamically increase the 
number of tokens.  Having a hardcoded limit is very sloppy programmming, I am 
sure you would agree, and it should only be a few more lines of code.
Comment 4 John Morrissey 2002-04-30 22:17:00 EDT
OpenLDAP ITS #1786.
http://www.openldap.org/its/index.cgi/Incoming?id=1786
Comment 5 John Morrissey 2002-06-01 14:37:08 EDT
Updated OpenLDAP ITS link:
http://www.openldap.org/its/index.cgi/Software%20Enhancements?id=1786

The patch attached to ITS#1786 has been applied to OpenLDAP HEAD.
Comment 6 Bill Nottingham 2006-08-07 16:04:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 13:28:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.